Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum SearchParameters.NumericStrategy

    java.lang.Object
      java.lang.Enum<SearchParameters.NumericStrategy>
          nl.liacs.subdisc.SearchParameters.NumericStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SearchParameters.NumericStrategy>

Enclosing class:
  SearchParameters

    public static enum SearchParameters.NumericStrategy

extends java.lang.Enum<SearchParameters.NumericStrategy>

Enum Constant Summary
`NUMERIC_ALL`
`NUMERIC_BEST`
`NUMERIC_BINS`

Field Summary
`java.lang.String` | `TEXT`

Method Summary
`static SearchParameters.NumericStrategy` | `getNumericStrategy(java.lang.String theString)`
`static SearchParameters.NumericStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SearchParameters.NumericStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMERIC_BINS

    public static final SearchParameters.NumericStrategy NUMERIC_BINS

### NUMERIC_BEST

    public static final SearchParameters.NumericStrategy NUMERIC_BEST

### NUMERIC_ALL

    public static final SearchParameters.NumericStrategy NUMERIC_ALL

Field Detail

### TEXT

    public final java.lang.String TEXT

Method Detail

### values

    public static SearchParameters.NumericStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SearchParameters.NumericStrategy c : SearchParameters.NumericStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SearchParameters.NumericStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getNumericStrategy

    public static SearchParameters.NumericStrategy getNumericStrategy(java.lang.String theString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD